# BEGIN SourceDeps(oneline):
BuildRequires: perl(Authen/Radius.pm) perl(Authen/Simple.pm) perl(Authen/Simple/RADIUS.pm) perl(CGI.pm) perl(CGI/Cookie.pm) perl(CGI/Fast.pm) perl(Digest/MD5.pm) perl(ExtUtils/Install.pm) perl(Fcntl.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(HTTP/Server/Simple/CGI.pm) perl(HTTP/Server/Simple/Static.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(Log/Dispatch/Syslog.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Net/hostent.pm) perl(Pod/Usage.pm) perl(Role/Basic.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Spawn/Safe.pm) perl(Template.pm) perl(Template/Exception.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(WWW/Mechanize/CGI.pm) perl(parent.pm) perl(sigtrap.pm) perl(subs.pm)
# END SourceDeps(oneline)
%define module_version 4.10
%define module_name Captive-Portal
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 4.10
Release: alt1
Summary: Perl based solution for controlled network access
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GA/GAISSMAI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Captive::Portal a.k.a. CaPo is a hotspot solution for Linux Gateways. CaPo is developed and in service at Ulm University for thousands of concurrent users.

The main focus is scalability, performance, simple administration and user-friendliness. The goals have been achieved by using scalable technologies like ipset/iptables, FastCGI/CGI and a fine tuned concurrent session handling based on the filesystem locking mechanism without any need for an additional RDBMS.

CaPo is compatible with any FastCGI/CGI enabled HTTPS-server.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version
#sed -i /install_base/d Build.PL

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
## TODO properly install
%perl_vendor_install --destdir=%buildroot/usr/share/capo
mkdir -p %buildroot%perl_vendor_privlib/
mv %buildroot/usr/share/capo/lib/C* %buildroot%perl_vendor_privlib/

%files
%doc LICENSE Changes README
/usr/share/capo
%perl_vendor_privlib/C*

%changelog
* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 4.10-alt1
- initial import by package builder

